package com.ejie.m62fb.model.tipos;

public class TipoPropietarios extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_PROPIETARIOS;

	/**
	 * Method 'TipoPropietarios'.
	 */
	public TipoPropietarios() {
		super(TipoPropietarios.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoPropietarios'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoPropietarios(String idElereg) {
		super(TipoPropietarios.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoPropietarios'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoPropietarios(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoPropietarios.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}